import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading SewooLKPSensorTypeToGeneric Converter")

class SewooLKPSensorTypeToGeneric(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "3":
            res = "None"
        elif args[0] == "0":
            res = "Gap"
        elif args[0] == "1":
            res = "Mark"
        return res




plugin = SewooLKPSensorTypeToGeneric("SewooLKPSensorTypeToGeneric")

store.AddConverter(plugin)